Create SIP trunk

Create a new SIP trunk

POST
/telephony/trunks
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

SIP trunk creation input

phoneNumbers?array<PhoneNumberCreationInfo>

Optional phone numbers to register with the trunk

sipProviderSIPProvider
Value in"twilio" | "telnyx" | "plivo"
trunkNamestring

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/telephony/trunks" \  -H "Content-Type: application/json" \  -d '{    "sipProvider": "twilio",    "trunkName": "string"  }'
{
  "createdAt": "string",
  "id": "string",
  "organizationId": "string",
  "originationUris": [
    "string"
  ],
  "sipProvider": "twilio",
  "terminationUri": "string",
  "trunkName": "string",
  "updatedAt": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}